Skip to main content
GET
/
beta
/
industrial
/
jobs
[beta] Fetches all jobs
curl --request GET \
  --url https://api.samsara.com/beta/industrial/jobs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "address": {
        "address": "1990 Alameda st, San Francisco, Ca 94103",
        "latitude": 37.456345,
        "longitude": 34.5633749,
        "name": "Worksite #1"
      },
      "createdAt": "2019-06-13T19:08:25Z",
      "customerName": "Samsara",
      "endDate": "2019-06-13T19:08:25Z",
      "id": "1553",
      "modifiedAt": "2019-06-13T19:08:25Z",
      "name": "My Job Name",
      "notes": "These are my notes",
      "startDate": "2019-06-13T19:08:25Z",
      "status": "active",
      "uuid": "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
      "fleetDevices": [
        {
          "id": 123456,
          "name": "My Device"
        }
      ],
      "industrialAssets": [
        {
          "id": "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
          "name": "My asset"
        }
      ],
      "ontimeWindowAfterArrivalMs": 300000,
      "ontimeWindowBeforeArrivalMs": 300000
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  },
  "id": "1553",
  "uuid": "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596"
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string

A jobId or uuid in STRING format. JobId must be prefixed with jobId:(Examples: "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596", "jobId:98765").

startDate
string

A start time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endDate
string

An end time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

industrialAssetIds
string[]

IndustrialAssetId in STRING format. (Example: "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596").

fleetDeviceIds
integer[]

FleetDeviceId in INTEGER format. (Example: 123456).

status
enum<string>

A job status in STRING format. Job statuses can be one of three (ignores case): "active", "scheduled", "completed" Valid values: active, scheduled, completed

Available options:
active,
scheduled,
completed
customerName
string

Customer name to filter by

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Response

OK response.

data
object[]
required

List of Job Objects

pagination
object
required

Pagination parameters.

id
string

The job id of the failed request

Example:

"1553"

uuid
string

The uuid of the failed request

Example:

"8d218e6c-7a16-4f9f-90f7-cc1d93b9e596"